(******************************************************************************)
(* TopSpeed compatible general library (maybe not 100%)                       *)
(* (C) 2009 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Lib;

FROM SYSTEM IMPORT ADDRESS, BYTE;

(* puts the i-th command line argument to s,
   i = 0 yield prg name (if provided by system) *)
PROCEDURE ParamStr( VAR s: ARRAY OF CHAR; i: CARDINAL);

(* returns the number of real command line arguments,
   i.e. the highest valid value i for ParamStr( s, i ) *)
PROCEDURE ParamCount(): CARDINAL;


PROCEDURE Move( s, d: ADDRESS; n: CARDINAL );
PROCEDURE Fill( a: ADDRESS; n: CARDINAL; v: BYTE );
PROCEDURE Compare( s, d: ADDRESS; n: CARDINAL): CARDINAL;

(* Where does mocka's HALT take the exit value???
PROCEDURE SetReturnCode( c: SHORTCARD );
*)

END Lib.
