(******************************************************************************)
(* computer (accumulator machine)                                             *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Comp;

CONST
  cnt = 32;

TYPE
  TValue = INTEGER;
  TIndex = [ 0 .. cnt - 1 ];
  TOperation = ( oAdd, oSub, oMul, oDiv );

PROCEDURE Ldv( v: TValue );
PROCEDURE Ldi( i: TIndex );
PROCEDURE Sto( i: TIndex );

PROCEDURE Neg();
PROCEDURE Opv( o: TOperation; v: TValue );
PROCEDURE Opi( o: TOperation; i: TIndex );

PROCEDURE Out();

END Comp.
