(******************************************************************************)
(* generator (stack machine)                                                  *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Gen;

TYPE
  TValue = INTEGER;
  TOffset = CARDINAL;
  TOperation = (
    oNeg, oWrt,
    oAdd, oSub, oMul, oDiv,
    oNew
  );

PROCEDURE Val( v: TValue );
PROCEDURE Lod( o: TOffset );
PROCEDURE Sto( o: TOffset );
PROCEDURE Opr( o: TOperation );

END Gen.
