(******************************************************************************)
(* TopSpeed compatible string library                                         *)
(* (C) 2009..2010 Steffen Solyga <solyga@absinth.net>                         *)
(******************************************************************************)
DEFINITION MODULE Str;

PROCEDURE Caps( VAR s: ARRAY OF CHAR );
PROCEDURE Lows( VAR s: ARRAY OF CHAR );
PROCEDURE Compare( VAR s,t: ARRAY OF CHAR ): INTEGER;
PROCEDURE Length( VAR s: ARRAY OF CHAR ): CARDINAL;
(*
TopSpeed doesn't use VARs in Compare() and Lenghth() but o_a_copy => off.
Since mocka allows for passing string constants to VAR parameters, this is
mocka's equivalent - at least for strings.
*)
(*
PROCEDURE Concat( VAR d,s,t: ARRAY OF CHAR );
PROCEDURE Append( VAR d,s: ARRAY OF CHAR );
*)
PROCEDURE Copy( VAR d,s: ARRAY OF CHAR );
(*
PROCEDURE Slice( VAR d,s: ARRAY OF CHAR; p,l: CARDINAL );
PROCEDURE Pos( VAR s,p: ARRAY OF CHAR ): CARDINAL;
*)

PROCEDURE Delete( VAR s: ARRAY OF CHAR; p,l: CARDINAL );


PROCEDURE CardToStr( x: LONGCARD; VAR s: ARRAY OF CHAR;
                     b: CARDINAL; VAR ok: BOOLEAN );

PROCEDURE IntToStr( x: LONGINT; VAR s: ARRAY OF CHAR;
                    b: CARDINAL; VAR ok: BOOLEAN );

PROCEDURE StrToCard( VAR s: ARRAY OF CHAR; b: CARDINAL;
                     VAR ok: BOOLEAN ): LONGCARD;

PROCEDURE StrToInt( VAR s: ARRAY OF CHAR; b: CARDINAL;
                    VAR ok: BOOLEAN ): LONGINT;

END Str.
